Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: PHP7 issue : start a fix  (Read 359 times)

0 Members and 1 Guest are viewing this topic.

shnoulle

  • Coppermine newbie
  • Offline Offline
  • Posts: 4
PHP7 issue : start a fix
« on: July 16, 2018, 02:15:25 am »

Hi,

Since i move and updating to cpg1.5.46 on a PHP7 server, i put some update needed (when i found it.

1st deprecated function set_magic_quotes_runtime (this one can really be removed since is deprecated since 5.3)
Add this in config.php
Code: [Select]
if (!function_exists('set_magic_quotes_runtime')) {
    function set_magic_quotes_runtime($setting) {
        return true;
    }
}

Updating this post when i found more (but maybe moving to 1.6 before)
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4568
    • Windsurf.me
Re: PHP7 issue : start a fix
« Reply #1 on: July 16, 2018, 11:25:01 pm »

1.6 is the way forward. There are many changes needed for PHP7 all of which have been done in 1.6. Some themes and plugins are not yet migrated to 1.6 but we can help with those as and when.  We still have some parts of the docs to update and would love help with that.
Logged
It is a mistake to think you can solve any major problems just with potatoes.
Pages: [1]   Go Up
 

Page created in 0.05 seconds with 21 queries.